For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
    • Error Codes
    • Async Processing
  • Endpoints
      • POSTCreate Processor Run
      • GETGet Processor Run
      • DELDelete Processor Run
      • POSTCancel Processor Run
      • GETList Processor Runs
      • POSTCreate Processor
      • GETList Processors
      • POSTUpdate Processor
      • GETList Processor Versions
      • POSTPublish Processor
      • GETGet Processor Version
      • GETGet Batch Processor Run
  • Webhook Events
LogoLogo
EndpointsLegacy

List Processors

Deprecated
GET
/processors
GET
/processors
1import { ExtendClient } from "extend-ai";
2
3const client = new ExtendClient({ token: "YOUR_TOKEN" });
4await client.processor.list();
1{
2 "success": true,
3 "processors": [
4 {
5 "object": "document_processor",
6 "id": "ex_Xj8mK2pL9nR4vT7qY5wZ",
7 "name": "Invoice Processor",
8 "type": "EXTRACT",
9 "versions": [
10 {
11 "id": "exv_xK9mLPqRtN3vS8wF5hB2cQ",
12 "version": "3"
13 }
14 ],
15 "createdAt": "2024-03-21T15:30:00Z",
16 "updatedAt": "2024-03-21T16:45:00Z"
17 }
18 ],
19 "warning": "string",
20 "nextPageToken": "string"
21}
List all processors in your organization
Was this page helpful?
Previous

Update Processor

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-extend-api-version"2026-02-09"Optional
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/developers/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2026-02-09/developers/authentication) for details on API key scopes.

Query parameters

typeenumOptional
Filter processors by type
Allowed values:
nextPageTokenstringOptional
Token for retrieving the next page of results
maxPageSizeintegerOptional1-250Defaults to 25
Maximum number of processors to return per page
sortByenumOptionalDefaults to updatedAt
Field to sort by
Allowed values:
sortDirenumOptionalDefaults to desc
Sort direction
Allowed values:

Response

Successfully retrieved processors
successboolean
Indicates the request was successful
processorslist of objects
Array of processors
warningstring or null
Optional warning message
nextPageTokenstring or null
Token for retrieving the next page of results. Will be null if there are no more results.

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error
500
Internal Server Error

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.